org.deidentifier.arx.gui.model

## Class ModelKAnonymityCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion
  - - org.deidentifier.arx.gui.model.ModelImplicitCriterion
    - - org.deidentifier.arx.gui.model.ModelKAnonymityCriterion

All Implemented Interfaces:
  java.io.Serializable

    public class ModelKAnonymityCriterion
    extends ModelImplicitCriterion

This class implements a model for the k-anonymity criterion.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelKAnonymityCriterion()` Creates a new instance
`ModelKAnonymityCriterion(int k)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelKAnonymityCriterion` `clone()` Clone
`PrivacyCriterion` `getCriterion(Model model)` Implement this to return the criterion.
`int` `getK()` Returns K.
`java.lang.String` `getLabel()` Implement this to return a string representation.
`void` `parse(ModelCriterion criterion, boolean _default)` Parse
`void` `setK(int k)` Sets K.
`java.lang.String` `toString()` Implement this to return a string representation.

### Methods inherited from class org.deidentifier.arx.gui.model.ModelCriterion

`isEnabled, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelKAnonymityCriterion

    public ModelKAnonymityCriterion()

Creates a new instance

#### ModelKAnonymityCriterion

    public ModelKAnonymityCriterion(int k)

Creates a new instance

Parameters:
  `k` -

### Method Detail

#### clone

    public ModelKAnonymityCriterion clone()

Description copied from class: `ModelCriterion`
Clone

Specified by:
  `clone` in class `ModelCriterion`

#### getCriterion

    public PrivacyCriterion getCriterion(Model model)

Description copied from class: `ModelCriterion`
Implement this to return the criterion.

Specified by:
  `getCriterion` in class `ModelCriterion`
Returns:

#### getK

    public int getK()

Returns K.

Returns:

#### getLabel

    public java.lang.String getLabel()

Description copied from class: `ModelCriterion`
Implement this to return a string representation.

Specified by:
  `getLabel` in class `ModelCriterion`
Returns:

#### parse

    public void parse(ModelCriterion criterion,
                      boolean _default)

Description copied from class: `ModelCriterion`
Parse

Specified by:
  `parse` in class `ModelCriterion`
  `_default` - Defines whether the model represents a typical parameter configuration for the criterion

#### setK

    public void setK(int k)

Sets K.

Parameters:
  `k` -

#### toString

    public java.lang.String toString()

Description copied from class: `ModelCriterion`
Implement this to return a string representation.

Specified by:
  `toString` in class `ModelCriterion`